#/bin/sh

# don't launch directly this script
# use 'make install-demo' to do so

PGBIN=/usr/lib/postgresql/8.3/bin
PGSHARE=/usr/share/postgresql/8.3/contrib/
PGUSER=postgres
DB=tinyows_demo

echo "Create Spatial Database: $DB"
su $PGUSER -c "$PGBIN/dropdb $DB > /dev/null 2> /dev/null"
su $PGUSER -c "$PGBIN/createdb $DB"
su $PGUSER -c "$PGBIN/createlang plpgsql $DB"
su $PGUSER -c "$PGBIN/psql $DB < $PGSHARE/postgis.sql"
su $PGUSER -c "$PGBIN/psql $DB < $PGSHARE/spatial_ref_sys.sql"

echo "Import layer data: world" 
$PGBIN/shp2pgsql -s 4326 -I demo/world.shp world > _world.sql
su $PGUSER -c "$PGBIN/psql $DB < _world.sql"

echo "Import layer data: france_dept" 
$PGBIN/shp2pgsql -s 27582 -I -W latin1 demo/france.shp france > _france.sql
su $PGUSER -c "$PGBIN/psql $DB < _france.sql"

rm _world.sql _france.sql
